Bug 318594 - The AI is not smart enough
Summary: The AI is not smart enough
Status: RESOLVED FIXED
Alias: None
Product: knavalbattle
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Roney Gomes
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-19 15:27 UTC by Jaime Torres
Modified: 2013-10-18 16:19 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaime Torres 2013-04-19 15:27:36 UTC
The AI is trying between the ships in the case there is no ship adjacent.


Reproducible: Always



Expected Results:  
Do not try where it is sure there will be no ships.

I hope to have time to fix it.
Comment 1 Jaime Torres 2013-10-18 16:19:51 UTC
Git commit c6990c5f4f429157c244b9f149d1b5f6ba0bfe3d by Jaime Torres.
Committed on 18/10/2013 at 16:17.
Pushed by jtamate into branch 'master'.

make the AI smarter to not shoot at places it knows there are no ships

When notify is called after a shoot, and an opponent ship is sunk,
mark the surrounding cells as border, therefore the AI will not try
them in the future.
FIXED-IN: 4.12
REVIEW: 113054

M  +1    -0    src/ai/smartai.cpp
M  +10   -0    src/aientity.cpp
M  +0    -7    src/playerentity.cpp
M  +1    -0    src/sea.h

http://commits.kde.org/knavalbattle/c6990c5f4f429157c244b9f149d1b5f6ba0bfe3d